board-github
POST /v1/board-github/links/{linkId}/sync
Refresh one connection from GitHub now.
Kimlik Doğrulama
Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.
Bu uç nokta hiçbir organizasyon kimliği almaz. Anahtarınız zaten ait olduğu organizasyonu tanımlar ve yanıt bu organizasyonla sınırlandırılır.
Dene
Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.
curl -X POST https://api.zinndigital.com/v1/board-github/links/{linkId}/sync \
-H "Authorization: Bearer zdk_live_…"Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın
Ayrıntılar
The Temporal sweep does this every five minutes and the webhook does it in seconds; this is the button for somebody who does not want to wait. Both cursors come back. `last_attempted_at` moves for every attempt and `last_synced_at` only on success — so *"last synced 4 minutes ago"* beside *"last attempted 10 seconds ago"* is how a customer sees that we are trying and GitHub is refusing. One timestamp cannot say that.
Parametreler
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
linkId (path) | string | Evet | The GitHub Projects connection. |
Yanıt
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
ok | boolean | Hayır | A distinct field rather than something inferred from the counts. A project that legitimately has no items and a sync that could not see anything are the same zeros. |
error | string | Hayır | — |
items_seen | integer | Hayır | — |
items_created | integer | Hayır | — |
items_updated | integer | Hayır | — |
items_archived | integer | Hayır | — |
fields_seen | integer | Hayır | — |
conflicts | integer | Hayır | — |
pushed_back | integer | Hayır | Fields OUR value won and were therefore re-pushed to GitHub. Keeping a won value only on our side would be a resolution that resolves nothing and reports the same conflict on th… |
pages | integer | Hayır | — |
last_synced_at | string | Hayır | — |
last_attempted_at | string | Hayır | — |
Bu uç noktanın dönderebileceği hatalar
401 · 403 · 404